List business units Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/business-units

Query parameters

  • filter[name] string

    Name to filter by.

  • sort string

    Field to sort by. Valid fields are [created_at, name, updated_at]. Negative sign to denote DESC. Defaults to 'name'.

  • per_page integer

    Number of results per page (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • name string

        Name of the business unit.

      • has_alternative_branding boolean

        Whether alternative branding is enabled for this business unit.

      • brand_colours array

        Brand colours for this business unit, merged with firm defaults.

      • members_count integer

        Number of accounts assigned to this business unit

      • members array[object]

        Accounts assigned to this business unit

        Hide members attributes Show members attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • groups_count integer

        Number of groups assigned to this business unit

      • groups array[object]

        Groups assigned to this business unit

        Hide groups attributes Show groups attributes object
        • uuid string
        • name string
        • slug string
        • participants_count string
        • participants object
          Hide participants attributes Show participants attributes object
          • uuid object
            Hide uuid attributes Show uuid attributes object
            • example string
            • description string
          • role object
            Hide role attributes Show role attributes object
            • example string
            • description string
          • first_name object
            Hide first_name attributes Show first_name attributes object
            • example string
            • description string
          • last_name object
            Hide last_name attributes Show last_name attributes object
            • example string
            • description string
          • name object
            Hide name attributes Show name attributes object
            • example string
            • description string
          • email object
            Hide email attributes Show email attributes object
            • example string
            • description string
        • created_at string
        • updated_at string
      • firm object

        The firm this business unit belongs to.

        Hide firm attributes Show firm attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • address_1 string
        • address_2 string
        • town_city string
        • county string
        • postcode string
        • country string
        • regulatory_text string
        • logo_icon string
        • brand_colours object
          Hide brand_colours attributes Show brand_colours attributes object
          • sidebar_background string
          • sidebar_accent string
          • sidebar_text string
          • sidebar_hover string
          • sidebar_active string
          • sidebar_title_background string
          • sidebar_title_primary string
          • sidebar_title_secondary string
          • sidebar_title_secondary_hover string
          • email_background string
          • email_logo_background_panel string
          • email_sub_text string
          • email_button_background string
          • email_button_text string
          • portal_sidebar_button_background string
          • portal_sidebar_button_hover string
          • portal_sidebar_button_active string
          • portal_brand_title string
          • portal_brand_sub_title string
          • portal_sidebar_title string
          • portal_sidebar_text string
          • portal_sidebar_text_hover string
          • portal_sidebar_text_active string
          • portal_sidebar_icon string
          • portal_sidebar_icon_hover string
          • portal_sidebar_icon_active string
          • portal_background string
          • portal_sidebar_account_title string
          • portal_sidebar_account_email string
          • portal_sidebar_divider string
          • portal_dashboard_bg_one string
          • portal_dashboard_bg_two string
          • portal_sidebar_collapse_button string
          • portal_sidebar_collapse_button_hover string
          • portal_sidebar_user_select_background string
          • portal_sidebar_user_select_hover string
          • portal_sidebar_user_select_text string
          • portal_sidebar_user_select_text_hover string
          • portal_sidebar_user_select_border string
          • portal_sidebar_user_select_border_hover string
        • is_subscribed boolean
        • addon_subscriptions string
        • keep_deleted_files_for integer
        • tax number
        • month_end integer
        • statement_frequency string
        • billing object
          Hide billing attributes Show billing attributes object
          • invoice_address_1 string
          • invoice_address_2 string
          • invoice_town_city string
          • invoice_county string
          • invoice_postcode string
          • invoice_country string
          • invoice_email string
        • task_board_template string
        • ip_whitelist array[string]
        • welcome_paragraph_html string
        • email_welcome_paragraph_html string
        • show_fact_find_illustrations boolean
        • cc_email_addresses array[string]
        • bcc_email_addresses array[string]
        • reply_to_email_address string
        • mobile_app_support_number string
        • mobile_app_support_email string
      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

GET /api/v1/business-units
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/business-units' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "c7cc357f-fde5-446d-b2da-8bc39cc8709d",
      "name": "Wealth Management",
      "has_alternative_branding": false,
      "brand_colours": [],
      "members_count": 3,
      "members": [
        {
          "uuid": "9ba13042-2d15-458e-bb4e-59b544e7344e",
          "created_at": "2026-06-12T16:03:57+01:00",
          "updated_at": "2026-06-12T16:03:57+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-12T16:03:57+01:00",
          "next_review_date": "2026-06-12T16:03:57+01:00",
          "previous_review_date": "2026-06-12T16:03:57+01:00",
          "anniversary_review_date": "2026-06-12T16:03:57+01:00",
          "terms_of_business_at": "2026-06-12T16:03:57+01:00",
          "client_agreement_at": "2026-06-12T16:03:57+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-12",
          "last_interaction_at": "2026-06-12 16:03:57",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        }
      ],
      "groups_count": 2,
      "groups": [
        {
          "uuid": "d177e6d8-1c7e-4017-93e4-6310819bc6c4",
          "name": "finance",
          "slug": "finance",
          "participants_count": "3",
          "participants": {
            "uuid": {
              "example": "494b2fdd-aaa0-49cf-a86a-6ad094b2559e",
              "description": "UUID of the account"
            },
            "role": {
              "example": "client",
              "description": "Role of the account"
            },
            "first_name": {
              "example": "Gareth",
              "description": "First name of the account"
            },
            "last_name": {
              "example": "Thompson",
              "description": "Last name of the account"
            },
            "name": {
              "example": "Gareth Thompson",
              "description": "Name of the account"
            },
            "email": {
              "example": "gareth@codepotato.co.uk",
              "description": "Email of the account"
            }
          },
          "created_at": "2026-06-12T16:03:57+01:00",
          "updated_at": "2026-06-12T16:03:57+01:00"
        }
      ],
      "firm": {
        "uuid": "469b1383-d9bb-43d7-aeab-7cde21b230b2",
        "created_at": "2026-06-12T16:03:57+01:00",
        "updated_at": "2026-06-12T16:03:57+01:00",
        "name": "Codepotato",
        "slug": "codepotato",
        "address_1": "Suite E, 5 The Briars",
        "address_2": "Waterberry Drive",
        "town_city": "Waterlooville",
        "county": "Hampshire",
        "postcode": "PO7 7YH",
        "country": "United Kingdom",
        "regulatory_text": "Regulatory text",
        "logo": "https://api.plannrcrm.com/images/plannr.jpg",
        "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
        "brand_colours": {
          "sidebar_background": "#0E0E56",
          "sidebar_accent": "#36367E",
          "sidebar_text": "#FFFFFF",
          "sidebar_hover": "#0A0A42",
          "sidebar_active": "#53DBB8",
          "sidebar_title_background": "#36367E",
          "sidebar_title_primary": "#FFC634",
          "sidebar_title_secondary": "#FFFFFF",
          "sidebar_title_secondary_hover": "#FFFFFF",
          "email_background": "#0E0E56",
          "email_logo_background_panel": "#36367E",
          "email_sub_text": "#FFFFFF",
          "email_button_background": "#36367E",
          "email_button_text": "#FFFFFF",
          "portal_sidebar_button_background": "#F6F6F6",
          "portal_sidebar_button_hover": "#FFFFFF",
          "portal_sidebar_button_active": "#FFFFFF",
          "portal_brand_title": "#323B4B",
          "portal_brand_sub_title": "#828994",
          "portal_sidebar_title": "#11151D",
          "portal_sidebar_text": "#323B4B",
          "portal_sidebar_text_hover": "#323B4B",
          "portal_sidebar_text_active": "#323B4B",
          "portal_sidebar_icon": "#828994",
          "portal_sidebar_icon_hover": "#828994",
          "portal_sidebar_icon_active": "#828994",
          "portal_background": "#F6F6F6",
          "portal_sidebar_account_title": "#11151D",
          "portal_sidebar_account_email": "#828994",
          "portal_sidebar_divider": "#E3E5E9",
          "portal_dashboard_bg_one": "#EF4583",
          "portal_dashboard_bg_two": "#FFC634",
          "portal_sidebar_collapse_button": "#828994",
          "portal_sidebar_collapse_button_hover": "#B3B9C4",
          "portal_sidebar_user_select_background": "#F6F6F6",
          "portal_sidebar_user_select_hover": "#F6F6F6",
          "portal_sidebar_user_select_text": "#323B4B",
          "portal_sidebar_user_select_text_hover": "#323B4B",
          "portal_sidebar_user_select_border": "#EEEEEE",
          "portal_sidebar_user_select_border_hover": "#828994"
        },
        "is_subscribed": true,
        "addon_subscriptions": "App\\Http\\Resources\\Addons\\AddonSubscriptionResource",
        "keep_deleted_files_for": 30,
        "tax": 17.5,
        "month_end": 25,
        "statement_frequency": "monthly",
        "billing": {
          "invoice_address_1": "Suite E, 5 The Briars",
          "invoice_address_2": "Waterberry Drive",
          "invoice_town_city": "Waterlooville",
          "invoice_county": "Hampshire",
          "invoice_postcode": "PO7 7YH",
          "invoice_country": "United Kingdom",
          "invoice_email": "gareth@codepotato.co.uk"
        },
        "task_board_template": "App\\Http\\Resources\\Board\\BoardResource",
        "ip_whitelist": [
          "192.168.0.1",
          "127.0.0.1"
        ],
        "welcome_paragraph_html": "<h1>Welcome.</h1>",
        "email_welcome_paragraph_html": "Welcome to Plannr!",
        "show_fact_find_illustrations": true,
        "cc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "bcc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "reply_to_email_address": "jack@example.com",
        "mobile_app_support_number": "01234 567890",
        "mobile_app_support_email": "support@example.com"
      },
      "created_at": "2026-06-12T16:03:57+01:00",
      "updated_at": "2026-06-12T16:03:57+01:00"
    }
  ]
}